# Precio de la vivienda en España
## Visualización interactiva - DESI, UVa 2022-23

### Presentación
Esta visualización permite comparar el índice del precio de la vivienda de forma trimestral desde el año 2007 hasta la "actualidad" (segundo trimestre de 2022). Además, se permite comparar la evolución de este índice a lo largo del tiempo y compararla por comunidades.

Los datos se han obtenido del Instituto Nacional de Estadística \[[1](https://www.ine.es/jaxiT3/Tabla.htm?t=25171)\] (recuperado 1 noviembre de 2022). Y se ha realizado un tratamiento posterior mediante la librería _pandas_ de _python_. Se puede ver en el cuaderno de jupyter \[[2](limpieza/limpieza_datos.ipynb)\].

Se ha optado por una visualización minimalista y utilizar el color aguamarina como paleta principal de la visualización. Para los colores del gráfico de líneas se ha usado la paleta de 20 colores de Sasha Trubetskoy \[[3](https://sashamaps.net/docs/resources/20-colors/)\].

### Diagrama de barras
Se puede ver el valor concreto de cada barra pasando el ratón por encima. El gráfico se modifica cuando se cambia el periodo de los datos o cuando se cambia el tipo de vivienda.

Haciendo click en una de las barras, permite pasar al gráfico de líneas de esa comunidad de forma rápida. También se puede pasar al gráfico de líneas utilizando el enlace en la zona superior.

![image](img/barras.gif)

### Gráfico de líneas
Permite obsevar el valor de cada punto pasando el ratón por encima, generando un pequeño recuadro junto al punto con el dato. 

El gráfico se modifica automáticamente a partir de las comunidades seleccionadas y del tipo de vivienda seleccionada a través del seleccionable ubicado en la zona inferior.

Se puede volver al gráfico de barras empleando el enlace de la zona superior.

![image](img/lineas.gif)

Enlace a la visualización: [https://desi_22-23.pages.gitlab.inf.uva.es/preciovivienda/](https://desi_22-23.pages.gitlab.inf.uva.es/preciovivienda/)