/********************************
 Selección de tipo de vivienda
 *********************************/
var w_sel = 400;
var h_sel = 40;

var svg_sel = d3.select("#seleccionarTipo").append("svg").attr("height",h_sel).attr("width",w_sel);
svg_sel.append("rect").attr("height",h_sel).attr("width",w_sel).style("stroke-width","3").style("fill","none").style("stroke",color_principal);
svg_sel.append("line").attr("x1",w_sel/3).attr("x2",w_sel/3).attr("y1","0").attr("y2",h_sel).style("stroke",color_principal).style("stroke-width","2");
svg_sel.append("line").attr("x1",2*w_sel/3).attr("x2",2*w_sel/3).attr("y1","0").attr("y2",h_sel).style("stroke",color_principal).style("stroke-width","2");

svg_sel.append("rect").attr("id","barra").attr("height",h_sel).attr("width",w_sel/3).style("stroke-width","3").style("fill",color_principal);

// Recuadros invisibles, pero clickables
svg_sel.append("rect")
    .attr("class","general")
    .attr("height",h_sel)
    .attr("width",w_sel/3)
    .on("click",moverSeleccion);

svg_sel.append("rect")
    .attr("class","nueva")
    .attr("x",w_sel/3)
    .attr("height",h_sel)
    .attr("width",w_sel/3)
    .on("click",moverSeleccion);

svg_sel.append("rect")
    .attr("class","segunda")
    .attr("x",2*w_sel/3)
    .attr("height",h_sel)
    .attr("width",w_sel/3)
    .on("click",moverSeleccion);

// Texto
svg_sel.append("text")
    .attr("class","general")
    .attr("text-anchor","middle")
    .attr("dominant-baseline","middle")
    .attr("x",w_sel/6)
    .attr("y",h_sel/2)
    .text("General")
    .on("click",moverSeleccion);

svg_sel.append("text")
    .attr("class","nueva")
    .attr("text-anchor","middle")
    .attr("dominant-baseline","middle")
    .attr("x",3*w_sel/6)
    .attr("y",h_sel/2)
    .text("Nuevo")
    .on("click",moverSeleccion);

svg_sel.append("text")
    .attr("class","segunda")
    .attr("text-anchor","middle")
    .attr("dominant-baseline","middle")
    .attr("x",5*w_sel/6)
    .attr("y",h_sel/2)
    .style("color","black")
    .text("2ª Mano")
    .on("click",moverSeleccion);


function moverSeleccion(){

    var clase = d3.select(this).attr("class");
    var factor = 0;
    console.log(clase);
    switch(clase){
        case "general":
            tipo_seleccionado="General";
            factor = 0;
            break;
        case "nueva":
            tipo_seleccionado="Vivienda nueva";
            factor = 1;
            break;
        case "segunda":
            tipo_seleccionado="Vivienda segunda mano";
            factor = 2;
            break;

    }

    var barra = d3.select("#barra");
    barra.transition().duration(300).attr("x",factor*w_sel/3);

    // Llamar al gráfico actual
    if(grafico==="lineas"){
        actualizarGraficoLineas(false);
    } else{
        actualizarGraficoBarras(true);
    }

}